Merge pull request 'demo script' (#856) from Qubasa-HEAD into main
All checks were successful
checks-impure / test (push) Successful in 1m52s
checks / test (push) Successful in 2m19s

This commit is contained in:
clan-bot 2024-02-16 10:55:02 +00:00
commit b68e39e8fa

View File

@ -1,8 +1,36 @@
#!/usr/bin/env bash
set -eux -o pipefail
set -e -o pipefail
check_git_tag() {
local repo_path="$1"
local target_tag="$2"
# Change directory to the specified Git repository
pushd "$repo_path" > /dev/null 2>&1
# shellcheck disable=SC2181
if [ $? -ne 0 ]; then
echo "Error: Failed to change directory to $repo_path"
return 1
fi
# Get the current Git tag
local current_tag
current_tag=$(git describe --tags --exact-match 2>/dev/null)
# Restore the original directory
popd > /dev/null 2>&1
# Check if the current tag is 2.0
if [ "$current_tag" = "$target_tag" ]; then
echo "Current Git tag in $repo_path is $target_tag"
else
echo "Error: Current Git tag in $repo_path is not $target_tag"
exit 1
fi
}
rm -r ~/.config/clan
if [ -z "$1" ]; then
echo "Usage: $0 <democlan>"
@ -11,19 +39,16 @@ fi
democlan="$1"
clan history add "clan://$democlan#syncthing-peer1"
clan history add "clan://$democlan#syncthing-peer2"
check_git_tag "$democlan" "v2.2"
clan history add "clan://$democlan#moonlight-peer1"
clan history add "clan://$democlan#moonlight-peer2"
check_git_tag "." "v2.3"
rm -rf ~/.config/clan
clan history add "clan://$democlan#localsend-wayland1"
clear
cat << EOF
Open up this link in a browser:
"clan://$democlan#syncthing-introducer"
EOF
cat << EOF
Execute this command to show waypipe windows:
$ clan --flake $democlan vms run wayland
"clan://$democlan#localsend-wayland2"
EOF